XFree(3) | Library Functions Manual | XFree(3)

# NAME

XFree - free client data

# SYNTAX

int XFree(void *data);

# ARGUMENTS

data
  Specifies the data that are to be freed.

# DESCRIPTION

The XFree function is a general-purpose Xlib routine that frees the specified data. You must use it to free any objects that were allocated by Xlib, unless an alternate function is explicitly specified for the object.

If data is NULL, no operation is performed.

# SEE ALSO

Xlib - C Language X Interface

X Version 11 | XLIB FUNCTIONS